# DataExchange
TKIGES
IGESAppli

# IGESAppli_ToolNodalResults Class Reference

Tool to work on a NodalResults. Called by various Modules
(ReadWriteModule, GeneralModule, SpecificModule)
.

`#include <IGESAppli_ToolNodalResults.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESAppli_ToolNodalResults ()
| Returns a ToolNodalResults, ready to work .
Standard_EXPORT void | ReadOwnParams (const Handle(IGESAppli_NodalResults)&ent, const Handle(IGESData_IGESReaderData)&IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <pr> gives access to them, <ir> detains parameter types and values .
Standard_EXPORT void | WriteOwnParams (const Handle(IGESAppli_NodalResults)&ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter .
Standard_EXPORT void | OwnShared (const Handle(IGESAppli_NodalResults)&ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a NodalResults <ent>, from its specific (own) parameters .
Standard_EXPORT IGESData_DirChecker | DirChecker (const Handle(IGESAppli_NodalResults)&ent) const
| Returns specific DirChecker .
Standard_EXPORT void | OwnCheck (const Handle(IGESAppli_NodalResults)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Performs Specific Semantic Check .
Standard_EXPORT void | OwnCopy (const Handle(IGESAppli_NodalResults)&entfrom, const Handle(IGESAppli_NodalResults)&entto, Interface_CopyTool &TC) const
| Copies Specific Parameters .
Standard_EXPORT void | OwnDump (const Handle(IGESAppli_NodalResults)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Dump of Specific Parameters .

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_ToolNodalResults::IGESAppli_ToolNodalResults | ( |  | ) |

## Member Function Documentation

Standard_EXPORT IGESData_DirChecker IGESAppli_ToolNodalResults::DirChecker | ( | const Handle(IGESAppli_NodalResults)& | ent | ) | const

void IGESAppli_ToolNodalResults::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESAppli_ToolNodalResults::operator new | ( | size_t | size | ) | `[inline]`

void* IGESAppli_ToolNodalResults::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESAppli_ToolNodalResults::OwnCheck | ( | const Handle(IGESAppli_NodalResults)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const

Standard_EXPORT void IGESAppli_ToolNodalResults::OwnCopy | ( | const Handle(IGESAppli_NodalResults)& | entfrom,
|  | const Handle(IGESAppli_NodalResults)& | entto,
|  | Interface_CopyTool & | TC
| ) | const

Standard_EXPORT void IGESAppli_ToolNodalResults::OwnDump | ( | const Handle(IGESAppli_NodalResults)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const

Standard_EXPORT void IGESAppli_ToolNodalResults::OwnShared | ( | const Handle(IGESAppli_NodalResults)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void IGESAppli_ToolNodalResults::ReadOwnParams | ( | const Handle(IGESAppli_NodalResults)& | ent,
|  | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_ParamReader & | PR
| ) | const

Standard_EXPORT void IGESAppli_ToolNodalResults::WriteOwnParams | ( | const Handle(IGESAppli_NodalResults)& | ent,
|  | IGESData_IGESWriter & | IW
| ) | const

The documentation for this class was generated from the following file:

- IGESAppli_ToolNodalResults.hxx